LibreOffice: AccessibleParagraphView Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | List of all members
AccessibleParagraphView Service Reference

The accessible view of a paragraph fragment. More...

Inheritance diagram for AccessibleParagraphView:

## Exported Interfaces
interface | ::com::sun::star::accessibility::XAccessibleContext
| This interface gives access to a paragraph fragment that is at least partially visible on the screen.
interface | ::com::sun::star::accessibility::XAccessibleComponent
| This interface describes the graphical representation of a paragraph fragment.
interface | ::com::sun::star::accessibility::XAccessibleEditableText
| This interface gives access to a paragraph fragment's text.
interface | ::com::sun::star::accessibility::XAccessibleText
| This interface is a subset of com::sun::star::accessibility::XAccessibleEditableText and gives access to a paragraph fragment's text in a read-only mode.
interface | ::com::sun::star::accessibility::XAccessibleSelection
| This interface is for selecting the paragraph's children.
interface | ::com::sun::star::accessibility::XAccessibleEventBroadcaster
| This is the interface for listeners.
interface | ::com::sun::star::accessibility::XAccessibleTextAttributes
| This interface gives access to the default attributes of a paragraph and to the run attributes of a certain character in a paragraph.

## Additional Inherited Members
Public Member Functions inherited from XAccessibleContext
hyper | getAccessibleChildCount ()
| Return the number of children.
XAccessible | getAccessibleChild ([in] hyper i) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns the i-th child of this object.
XAccessible | getAccessibleParent ()
| Returns the parent of this object.
hyper | getAccessibleIndexInParent ()
| Returns the index of this object in its accessible parent.
short | getAccessibleRole ()
| Returns the role of this object.
string | getAccessibleDescription ()
| Returns the object's description.
string | getAccessibleName ()
| Return the object's localized name.
XAccessibleRelationSet | getAccessibleRelationSet ()
| Returns the set of relations defined for this object.
hyper | getAccessibleStateSet ()
| Returns the set of states that are currently active for this object.
::com::sun::star::lang::Locale | getLocale () raises (IllegalAccessibleComponentStateException)
| Returns the locale of the component.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XAccessibleComponent
boolean | containsPoint ([in] ::com::sun::star::awt::Point Point)
| Tests whether the specified point lies within this object's bounds.
XAccessible | getAccessibleAtPoint ([in] ::com::sun::star::awt::Point Point)
| Returns the Accessible child that is rendered under the given point.
::com::sun::star::awt::Rectangle | getBounds ()
| Returns the bounding box of this object.
::com::sun::star::awt::Point | getLocation ()
| Returns the location of the upper left corner of the object's bounding box relative to the parent.
::com::sun::star::awt::Point | getLocationOnScreen ()
| Returns the location of the upper left corner of the object's bounding box in screen coordinates.
::com::sun::star::awt::Size | getSize ()
| Returns the size of this object's bounding box.
void | grabFocus ()
| Grabs the focus to this object.
::com::sun::star::util::Color | getForeground ()
| Returns the foreground color of this object.
::com::sun::star::util::Color | getBackground ()
| Returns the background color of this object.
Public Member Functions inherited from XAccessibleText
long | getCaretPosition ()
| Return the position of the caret.
boolean | setCaretPosition ([in] long nIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Set the position of the caret.
char | getCharacter ([in] long nIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Return the character at the specified position.
sequence<::com::sun::star::beans::PropertyValue > | getCharacterAttributes ([in] long nIndex, [in] sequence< string > aRequestedAttributes) raises (::com::sun::star::lang::IndexOutOfBoundsException, ::com::sun::star::beans::UnknownPropertyException)
| Get the attribute set for the specified position.
::com::sun::star::awt::Rectangle | getCharacterBounds ([in] long nIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Return the bounding box of the specified position.
long | getCharacterCount ()
| Return the number of characters in the represented text.
long | getIndexAtPoint ([in] ::com::sun::star::awt::Point aPoint)
| Return the text position for the specified screen position.
string | getSelectedText ()
| Return the selected text.
long | getSelectionStart ()
| Return the position of the start of the selection.
long | getSelectionEnd ()
| Return the position of the end of the selection.
boolean | setSelection ([in] long nStartIndex, [in] long nEndIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Set a new selection.
string | getText ()
| Return the whole text.
string | getTextRange ([in] long nStartIndex, [in] long nEndIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Return the specified text range.
TextSegment | getTextAtIndex ([in] long nIndex, [in] short nTextType) raises (::com::sun::star::lang::IndexOutOfBoundsException, ::com::sun::star::lang::IllegalArgumentException)
| Get a text portion around the given position.
TextSegment | getTextBeforeIndex ([in] long nIndex, [in] short nTextType) raises (::com::sun::star::lang::IndexOutOfBoundsException, ::com::sun::star::lang::IllegalArgumentException)
| Get a text portion before the given position.
TextSegment | getTextBehindIndex ([in] long nIndex, [in] short nTextType) raises (::com::sun::star::lang::IndexOutOfBoundsException, ::com::sun::star::lang::IllegalArgumentException)
| Get a text portion behind the given position.
boolean | copyText ([in] long nStartIndex, [in] long nEndIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Copy the specified text into the clipboard.
boolean | scrollSubstringTo ([in] long nStartIndex, [in] long nEndIndex, [in] AccessibleScrollType aScrollType) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Scroll the specified text to make it visible on screen.
Public Member Functions inherited from XAccessibleEventBroadcaster
void | addAccessibleEventListener ([in] XAccessibleEventListener xListener)
| registers the given XAccessibleEventListener.
void | removeAccessibleEventListener ([in] XAccessibleEventListener xListener)
| unregisters the given XAccessibleEventListener.
Protected Member Functions inherited from XAccessibleEditableText
boolean | cutText ([in] long nStartIndex, [in] long nEndIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Copies the text range into the clipboard.
boolean | pasteText ([in] long nIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Pastes text from the clipboard.
boolean | deleteText ([in] long nStartIndex, [in] long nEndIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Deletes a range of text.
boolean | insertText ([in] string sText, [in] long nIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Inserts text at the specified position.
boolean | replaceText ([in] long nStartIndex, [in] long nEndIndex, [in] string sReplacement) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Replaces text.
boolean | setAttributes ([in] long nStartIndex, [in] long nEndIndex, [in] sequence<::com::sun::star::beans::PropertyValue > aAttributeSet) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Replaces the attributes of a text range by the given set of attributes.
boolean | setText ([in] string sText)
| Replaces the whole text with the given text.
Protected Member Functions inherited from XAccessibleText
long | getCaretPosition ()
| Return the position of the caret.
boolean | setCaretPosition ([in] long nIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Set the position of the caret.
char | getCharacter ([in] long nIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Return the character at the specified position.
sequence<::com::sun::star::beans::PropertyValue > | getCharacterAttributes ([in] long nIndex, [in] sequence< string > aRequestedAttributes) raises (::com::sun::star::lang::IndexOutOfBoundsException, ::com::sun::star::beans::UnknownPropertyException)
| Get the attribute set for the specified position.
::com::sun::star::awt::Rectangle | getCharacterBounds ([in] long nIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Return the bounding box of the specified position.
long | getCharacterCount ()
| Return the number of characters in the represented text.
long | getIndexAtPoint ([in] ::com::sun::star::awt::Point aPoint)
| Return the text position for the specified screen position.
string | getSelectedText ()
| Return the selected text.
long | getSelectionStart ()
| Return the position of the start of the selection.
long | getSelectionEnd ()
| Return the position of the end of the selection.
boolean | setSelection ([in] long nStartIndex, [in] long nEndIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Set a new selection.
string | getText ()
| Return the whole text.
string | getTextRange ([in] long nStartIndex, [in] long nEndIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Return the specified text range.
TextSegment | getTextAtIndex ([in] long nIndex, [in] short nTextType) raises (::com::sun::star::lang::IndexOutOfBoundsException, ::com::sun::star::lang::IllegalArgumentException)
| Get a text portion around the given position.
TextSegment | getTextBeforeIndex ([in] long nIndex, [in] short nTextType) raises (::com::sun::star::lang::IndexOutOfBoundsException, ::com::sun::star::lang::IllegalArgumentException)
| Get a text portion before the given position.
TextSegment | getTextBehindIndex ([in] long nIndex, [in] short nTextType) raises (::com::sun::star::lang::IndexOutOfBoundsException, ::com::sun::star::lang::IllegalArgumentException)
| Get a text portion behind the given position.
boolean | copyText ([in] long nStartIndex, [in] long nEndIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Copy the specified text into the clipboard.
boolean | scrollSubstringTo ([in] long nStartIndex, [in] long nEndIndex, [in] AccessibleScrollType aScrollType) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Scroll the specified text to make it visible on screen.
Protected Member Functions inherited from XAccessibleSelection
void | selectAccessibleChild ([in] hyper nChildIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Selects the specified Accessible child of the object.
boolean | isAccessibleChildSelected ([in] hyper nChildIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Determines if the specified child of this object is selected.
void | clearAccessibleSelection ()
| Clears the selection, so that no children of the object are selected.
void | selectAllAccessibleChildren ()
| Select all children.
hyper | getSelectedAccessibleChildCount ()
| Returns the number of Accessible children that are currently selected.
XAccessible | getSelectedAccessibleChild ([in] hyper nSelectedChildIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns the specified selected Accessible child.
void | deselectAccessibleChild ([in] hyper nChildIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Removes the specified child from the set of this object's selected children.
Protected Member Functions inherited from XAccessibleEventBroadcaster
void | addAccessibleEventListener ([in] XAccessibleEventListener xListener)
| registers the given XAccessibleEventListener.
void | removeAccessibleEventListener ([in] XAccessibleEventListener xListener)
| unregisters the given XAccessibleEventListener.
Protected Member Functions inherited from XAccessibleTextAttributes
sequence<::com::sun::star::beans::PropertyValue > | getDefaultAttributes ([in] sequence< string > RequestedAttributes) raises ( ::com::sun::star::beans::UnknownPropertyException )
| Get the default attribute set for the text.
sequence<::com::sun::star::beans::PropertyValue > | getRunAttributes ([in] long Index, [in] sequence< string > RequestedAttributes) raises (::com::sun::star::beans::UnknownPropertyException, ::com::sun::star::lang::IndexOutOfBoundsException)
| Get the run attribute set for the specified position.

## Detailed Description

The accessible view of a paragraph fragment.

Since
  OOo 1.1.2

## Exported Interfaces

## ◆ ::com::sun::star::accessibility::XAccessibleComponent

interface ::com::sun::star::accessibility::XAccessibleComponent

This interface describes the graphical representation of a paragraph fragment.

## ◆ ::com::sun::star::accessibility::XAccessibleContext

interface ::com::sun::star::accessibility::XAccessibleContext

This interface gives access to a paragraph fragment that is at least partially visible on the screen.

A paragraph fragment is the portion of a paragraph that is displayed on a single page or a in a single column.

- The parent returned by com::sun::star::accessibility::XAccessibleContext::getAccessibleParent() is the accessible view of a text document (in this case the paragraph is contained in a page body) or the accessible view of a header, footer, footnote, endnote, table cell, text frame, page or shape.
- The children returned by com::sun::star::accessibility::XAccessibleContext::getAccessibleChild() are the graphics, text boxes and OLE objects that are bound as character within the paragraph. Graphics, text boxes and OLE objects that are bound to the paragraph or to a character within the paragraph are not children of the paragraph fragment but of the document view itself.
- The role is either com::sun::star::accessibility::AccessibleRole::PARAGRAPH or com::sun::star::accessibility::AccessibleRole::HEADING. The later one is returned if the paragraph's style is contained in the chapter numbering of a text document.
- The name is "paragraph" or "heading" (or the equivalent term in application's language) with a number appended.
- The description contains the term "paragraph" (or the equivalent term in application's language) and the first sentence of the paragraph.
- There are no relations.
- The following states are supported by the accessible state bitset returned by com::sun::star::accessibility::XAccessibleContext::getAccessibleStateSet().
  - com::sun::star::accessibility::AccessibleStateType::DEFUNC (indicates that the document window has been closed or the paragraph fragment is not existing any longer).
  - com::sun::star::accessibility::AccessibleStateType::EDITABLE
  - com::sun::star::accessibility::AccessibleStateType::ENABLED (always contained)
  - com::sun::star::accessibility::AccessibleStateType::MULTI_LINE (always contained)
  - com::sun::star::accessibility::AccessibleStateType::MULTI_SELECTABLE (always contained)
  - com::sun::star::accessibility::AccessibleStateType::OPAQUE
  - com::sun::star::accessibility::AccessibleStateType::SHOWING
  - com::sun::star::accessibility::AccessibleStateType::VISIBLE
  - com::sun::star::accessibility::AccessibleStateType::FOCUSED
- Depending of the application's region setting, the locale is the western, Asian or complex language of the paragraph.

## ◆ ::com::sun::star::accessibility::XAccessibleEditableText

interface ::com::sun::star::accessibility::XAccessibleEditableText
| optional

This interface gives access to a paragraph fragment's text.

The text contains the paragraph's editable text as well as generated text, like chapter numbers, hyphens or fields. Characters of generated text contribute to the text's character indexing. However, it is not possible to set the caret or start a selection within generated text.

For text frames, graphics, etc. that are bound as character some text is generated that contains the objects description.

The attributes (or properties) returned by com::sun::star::accessibility::XAccessibleText::getCharacterAttributes() are a sub set of the properties described by the service com::sun::star::style::CharacterProperties. For properties that have Asian and complex counterparts, the value that is visible is returned. This can be in fact the western, Asian or complex value. It's not possible to change the value of any property by using com::sun::star::accessibility::XAccessibleEditableText::setAttributes().

TODO: If there is a demand, some attributes might be added that tells whether the character at a certain index is editable or generated.

## ◆ ::com::sun::star::accessibility::XAccessibleEventBroadcaster

interface ::com::sun::star::accessibility::XAccessibleEventBroadcaster

This is the interface for listeners.

## ◆ ::com::sun::star::accessibility::XAccessibleSelection

interface ::com::sun::star::accessibility::XAccessibleSelection
| optional

This interface is for selecting the paragraph's children.

Multi selection is supported only for children that are multi selectable in the GUI, too.

## ◆ ::com::sun::star::accessibility::XAccessibleText

interface ::com::sun::star::accessibility::XAccessibleText

This interface is a subset of com::sun::star::accessibility::XAccessibleEditableText and gives access to a paragraph fragment's text in a read-only mode.

The text contains the paragraph's text (changeable as well as generated text, like chapter numbers, hyphens or fields). Characters of generated text contribute to the text's character indexing.

For text frames, graphics, etc. that are bound as character some text is generated that contains the objects description.

The attributes (or properties) returned by com::sun::star::accessibility::XAccessibleText::getCharacterAttributes() are a sub set of the properties described by the service com::sun::star::style::CharacterProperties. For properties that have Asian and complex counterparts, the value that is visible is returned. This can be in fact the western, Asian or complex value.

TODO: If there is a demand, some attributes might be added that tells whether the character at a certain index is changeable or generated.

## ◆ ::com::sun::star::accessibility::XAccessibleTextAttributes

interface ::com::sun::star::accessibility::XAccessibleTextAttributes
| optional

This interface gives access to the default attributes of a paragraph and to the run attributes of a certain character in a paragraph.

Since
  OOo 2.0.4

The documentation for this service was generated from the following file:

- com/sun/star/text/AccessibleParagraphView.idl